with GNATCOM.Dispinterface;

package MSHTML.IDocumentSelector_Interface is

   type IDocumentSelector_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IDocumentSelector_Type);

   function Pointer (This : IDocumentSelector_Type)
     return Pointer_To_IDocumentSelector;

   procedure Attach (This    : in out IDocumentSelector_Type;
                     Pointer : in     Pointer_To_IDocumentSelector);

   function querySelector
     (This : IDocumentSelector_Type;
      v    : GNATCOM.Types.BSTR;
      Free : Boolean := True)
     return Pointer_To_IHTMLElement;

   function querySelectorAll
     (This : IDocumentSelector_Type;
      v    : GNATCOM.Types.BSTR;
      Free : Boolean := True)
     return Pointer_To_IHTMLDOMChildrenCollection;

end MSHTML.IDocumentSelector_Interface;

